Skip to main content
GET
/
v1
/
shipping_rates
List
curl --request GET \
  --url https://{defaultHost}/v1/shipping_rates \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "pagination": {
    "count": 1,
    "limit": 20,
    "page": 1,
    "url": "/v1/shipping_rates"
  },
  "data": [
    {
      "id": "b2cace7a-ee7f-465e-9378-b9ad31646095",
      "object": "shipping_rate",
      "amount": 750,
      "currency": "usd",
      "max_amount": null,
      "min_amount": 0,
      "max_weight": null,
      "min_weight": 0,
      "rate_type": "flat",
      "weight_unit": "lb",
      "shipping_method": "19be7d02-6c7c-4bf7-b104-2a5f8e76f18c",
      "shipping_zone": "2a46e171-56b0-48b4-bb8f-7df15efdbf84",
      "created_at": 1773903601,
      "updated_at": 1773903601
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

A limit on the number of items to be returned, between 1 and 100.

page
integer

The page of items you want returned.

shipping_zone_ids[]
string[]

Only return objects that belong to the given shipping zone.

Response

200 - application/json

Success

object
string

A string describing the object type returned.

pagination
object
data
array

An array of objects.